/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-common-theme                                                                            -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

@import '~@angular/material/theming';

@mixin chvote-card-style($theme) {

  $primary: map-get($theme, primary);

  .mat-card {
    margin: 0;
  }

  .mat-card-header {
    background-color: mat-color($primary, lighter);
    color: rgba(black, 0.75);
  }

  .mat-card-content.no-padding {
    padding: 0;
  }

  .mat-card-subtitle {
    color: rgba(black, 0.65);
  }

  .mat-card-title {
    font-size: 2.4rem !important;
  }

  .mat-card-button-toolbar {
    min-height: 7rem;
    padding: 1.6rem;
  }
}






